### Struct

# GtkScrollInfo

since: 4.12

#### Description [src]

    struct GtkScrollInfo {
      /* No available fields */
    }

The `GtkScrollInfo` can be used to provide more accurate data on how a scroll operation should be performed.

Scrolling functions usually allow passing a `NULL` scroll info which will cause the default values to be used and just scroll the element into view.

Available since: 4.12

#### Constructors

###### gtk_scroll_info_new

Creates a new scroll info for scrolling an element into view.

since: 4.12

#### Instance methods

###### gtk_scroll_info_get_enable_horizontal

Checks if horizontal scrolling is enabled.

since: 4.12

###### gtk_scroll_info_get_enable_vertical

Checks if vertical scrolling is enabled.

since: 4.12

###### gtk_scroll_info_ref

Increases the reference count of a `GtkScrollInfo` by one.

since: 4.12

###### gtk_scroll_info_set_enable_horizontal

Turns horizontal scrolling on or off.

since: 4.12

###### gtk_scroll_info_set_enable_vertical

Turns vertical scrolling on or off.

since: 4.12

###### gtk_scroll_info_unref

Decreases the reference count of a `GtkScrollInfo` by one.

since: 4.12